#include<iostream>
#include<math.h>
using namespace std;
int main()
{
    long long br=0,i,R,L;
    double p,q,r;
    cin>>p>>q>>r>>L>>R;
    for(i=L;i<=R;i++)
    {
       if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i) br++;
    }
    cout<<br<<endl;
}